import * as Common from './lib/common';
import RedApp from './lib/redapp';
import * as util from './lib/redutil';
import RedScreenComponent from './lib/components/redscreencomponent';
import RedScreenListComponent from './lib/components/redscreenlistcomponent';
import * as validation from './lib/validation'
import IdentityLogin from './lib/screens/identitylogin';
import Login from './lib/screens/login';
import * as globals from './lib/globals';
import * as formatter from './lib/telephoneinput';
import * as _UIA from './lib/actions/uiActions';
import { createRedService } from './lib/service';
import { parameters } from './lib/endPoints';

export const CreateRedService = createRedService;
export const Parameters = parameters;
export const RedConnect = util.RedConnect;
export const GUID = util.GUID;
export const Util = util;
export const Validation = validation;
export const common = Common;
export const RedLogin = Login;
export const RedIdentityLogin = IdentityLogin;
export const RedApplication = RedApp;
export const RedComponent = RedScreenComponent;
export const RedListComponent = RedScreenListComponent;
export const Globals = globals;
export const UIA = _UIA;
export const Formatter = formatter;