var ReactNative = require('react-native');


import * as UIA from './uiActions';
import { Actions } from 'react-native-router-flux';
import { GUID } from '../redutil';
var {
    AsyncStorage
} = ReactNative;

export function loadApp() {
    return (dispatch, getState) => {
        var promise = Promise.resolve();
         promise = promise.then(() => {
            return AsyncStorage.getItem(UIA.UNIQUE_MACHINE_SIG).then(res => {
                if (res) {
                    dispatch(UIA.UI(UIA.UNIQUE_MACHINE_SIG, res));
                }
                else {
                    var res = makeid(23);
                    dispatch(UIA.UI(UIA.UNIQUE_MACHINE_SIG, res));
                    return AsyncStorage.setItem(UIA.UNIQUE_MACHINE_SIG, res);
                }
            })
        });

        [/* things to save */].forEach(reducer => {
            promise = promise.then(() => {
                return AsyncStorage.getItem(reducer).then((reducerState) => {
                    var saved_state = JSON.parse(reducerState);
                    if (saved_state && saved_state.___isStorePart) {
                        dispatch(UIA.UI(saved_state.___isStorePart, saved_state[saved_state.___isStorePart]))
                    }
                    else {
                        dispatch(setState(reducer, saved_state));
                    }
                });
            });
        });
       
        return promise;
    }
}
function makeid(length)
{
    var text = "";
    var possible = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789";

    for( var i=0; i < length; i++ )
        text += possible.charAt(Math.floor(Math.random() * possible.length));

    return text;
}
function setState(reducer, state) {
    return {
        type: reducer,
        state
    }
}