export const Me = 'Me';
export const Color = 'Color';
export const FirstName = 'First Name';
export const LastName = 'Last Name';
export const PhoneNumberLastName = 'Last Name';
export const Comment = 'Comment';
export const SelectCountry = 'Select Country';
export const SelectCurrency = 'Select Currency';
export const SelectAccountHolderType = 'Select Account Holder Type';
export const Reports = 'Reports';
export const Channel = 'Channel';
export const SelectCarYear = 'Select Year';
export const CarYear = 'Year';
export const SelectState = 'Select State/Province';
export const General = 'General';
export const CarModel = 'Model';
export const CarMake = 'Make';
export const SelectCarModel = 'Select Model';
export const Vin = 'Vin';
export const EnterVin = 'Enter Vin';
export const SelectCarMake = 'Select Make';
export const SelectAddress = 'Select Address';
export const Modules = 'Modules';
export const Remove = 'Remove'
export const SMS = 'SMS';
export const NoCreditCardsSet = 'No credit cards set';
export const SetCard = 'Set Card';
export const ScanCard = 'Scan Card';
export const Call = 'Call';
export const MaidenName = 'Maiden Name';
export const Buy = 'Purchase';
export const Details = 'Details';
export const Term = 'Term';
export const Interval = 'Interval';
export const IntervalCount = 'Interval Count';
export const Types = 'Types';
export const CheckingVerification = 'Checking identity verification ...';
export const CheckingPendingIdentityConfirmation = 'Checking pending identity status';
export const LoadingProfile = 'Loading profile ...';
export const CardConfirmed = 'Card Confirmed';
export const EnterPayOption = 'Enter Payment Option';
export const CallType = 'Call type';
export const IncomingCall = 'Incoming call ...';
export const UnknownCaller = 'Unknown';
export const IncomingCallFrom = (name) => {
    name = name || UnknownCaller
    return `Incoming call from ${name}`;
}
export const Audio = 'Audio';
export const Data = 'Data';
export const Video = 'Video';
export const SelectACommunicationsType = 'Select a communications type';
export const Ago = (v) => {
    return v + ' ago';
}
export const ImagesVideo = 'Images/Video'
export const Active = 'Active';
export const Month = v => {
    switch (v) {
        case '1':
            return 'Jan';
        case '2':
            return 'Feb';
        case '3':
            return 'Mar';
        case '4':
            return 'Apr';
        case '5':
            return 'May';
        case '6':
            return 'Jun';
        case '7':
            return 'Jul';
        case '8':
            return 'Aug';
        case '9':
            return 'Sep';
        case '10':
            return 'Oct';
        case '11':
            return 'Nov';
        case '12':
            return 'Dec';
    }
    return '';
}
export const PersonalIdNumber = 'Personal SSN Number';
export const Location = 'Location';
export const Radius = 'Radius';
export const SignInAs = 'Sign in as';
export const Upload = 'Upload';
export const SetupPaymentOption = 'Payment Option(s)';
export const ThisMayTakeAWhile = 'This may take a while';
export const Resend = 'Resend';
export const Year = 'Year';
export const Model = 'Model';
export const Make = 'Make';
export const Untitled = 'Untitled';
export const CodeType = 'Code Type';
export const ConfirmComplete = 'Confirm Complete';
export const Step = 'Step';
export const Discount = 'Discount';
export const Code = 'Code';
export const Percentage = 'Percentage';
export const CardSet = 'Card set';
export const NoServiceTask = 'No service task selected';
export const ProviderLaborerEvents = 'Service Partner Events';
export const Required = 'Required';
export const TransactionSuccessfull = 'Transaction Successfull';
export const ChangeServiceTask = 'Service Items';
export const Start = 'Start';
export const End = 'End';
export const DropoffLocation = 'Drop off Location';
export const PickupLocation = 'Pickup Location';
export const SortBy = 'Sort by';
export const ETA = 'ETA';
export const from = 'from';
export const $in = 'in';
export const HoursMinutes = (hm) => {
    var res = '';
    if (hm && hm.hours && hm.hours !== '0') {
        res = hm.hours + 'hr'
    }
    if (hm && hm.minutes !== undefined && hm.minutes !== null) {
        if (hm.hours < 2)
            res = res + (res ? ' ' : '') + (hm.minutes || 0) + ' min';
    }
    return res;
}
export const Started = 'Started';
export const AddProfileImage = 'Add Profile Image';
export const ValidUrl = 'Valid url please';
export const CantBeEmpty = 'Please enter value';
export const OnlyNumbersAllowed = 'Only numbers allowed';
export const Length12 = 'Length should be 12';
export const Length9to17 = 'Length should between 9 and 17';
export const InvalidSS = 'Invalid Social Security number';
export const Length3t4 = 'Length should be 3 or 4';
export const Length8 = 'Length should be 8';
export const Length9 = 'Length should be 9';
export const Length4 = 'Length should be 4';
export const Length5 = 'Length should be 5';
export const ValidCharacters = 'Valid characters only please';
export const Choose = 'Choose';
export const ApplicationFee = 'Application Fee';
export const ChargesPer = 'Chargers per';
export const Amount = 'Amount';
export const ChargedAmount = 'Charged Amount';
export const Duration = 'Duration';
export const AddYourVehicle = 'Add a vehicle';
export const SelectFromLibraryOrTakePicture = 'Either select from your library or take a new picture.'
export const UploadFailed = 'Upload Failed';
export const ServiceTaskProcess = 'Service Task Process';
export const SelectVehicle = 'Select Vehicle';
export const CustomerCancels = 'You have canceled your service, Please order again soon!';
export const ServiceTaskChargeFailure = 'Service Task Charge Failure';
export const LaborerCancels = 'Service Partner Canceled';
export const IllegalState = 'Something went wrong, please allow us one moment as we attempt to rectify the issue.';
export const PaymentFailure = 'There was an error trying to complete the payment transaction.';
export const EditServiceTaskItem = 'Edit item definition';
export const WaitForHeroConfirmation = 'Wait for Hero confirmation';
export const BankAccount = 'Bank Account';
export const BankAccountOptions = 'Bank Account Options';
export const LiveServiceTaskMenu = 'Live Service Task';
export const ProviderStats = 'Service Provider Stats';
export const IncorrectCode = 'That code did not quite match. Try again.'
export const NO_LABORER_FOUND = 'All providers are assisting customers. Please check back shortly.';
export const EVALUATE_LABORER = 'Than you for your Evaluation and using Hero!';
export const DocumentationNeeded = 'Please upload an image of an identifying document such as a passport or a drivers licenses by selecting image below. Please make sure the identifying documents belong to the owner of the company being set up or the owner of the bank account utilized during set up.';
export const DocumentationUploaded = 'Your documentation has been uploaded and saved. There is no need to re-submit your documentation.';
export const NS_TEXT_EVALUATE_LABORER = 'Thanks for your evaluation. We will use this information to improve your Hero experience';
export const FINAL_CALCULATEION_IS_COMPLETED = 'Bill calculated';
export const TASK_IS_COMPLETED = 'This service is complete';
export const ServiceTaskProcessDefinition = 'Service Task Process';
export const NS_TEXT_TASK_IS_COMPLETED = 'Your Hero Service Provider has completed the service.';
export const CANCELLED_SERVICE_TASK_NO_FAULT = 'The job was cancelled with no extra charge.';
export const NS_TEXT_TASK_IS_COMPLTED = 'The Service was completed.';
export const NS_TEXT_FINAL_CALCULATEION_IS_COMPLETED = 'Your final bill has calculated.';
export const NS_TEXT_NO_LABORER_FOUND = 'All providers are assisting customers. Please check back shortly.';
export const NOTIFY_USER_LABORER_FOUND_FOR_SERVICE_TASK = 'We have found a Service Provider for you.';
export const NS_TEXT_NOTIFY_USER_LABORER_FOUND_FOR_SERVICE_TASK = 'We found someone to make your request a reality.';
export const CheckList = 'Check list';
export const AddImage = 'Add Image';
export const HeroUser = 'Hero User';
export const Images = 'Images';
export const ImageRecommendation = 'We recommend that you take pictures before and after the job is complete.'
export const LABORER_ACCEPTANCE = 'You accepted';
export const LABORER_ASSIGNED = 'You have been assigned';
export const EVALUATE_CUSTOMER = 'You have evaluated a customer.';
export const NS_TEXT_EVALUATE_CUSTOMER = 'You have evaluated a customer. Thanks for your opinion, we will use this information to improve your daily experiences.';
export const NS_TEXT_LABORER_ASSIGNED = 'Congrats, you have been assigned a Service to complete.';
export const NS_TEXT_LABORER_ACCEPTANCE = 'You have accepted a service';
export const NS_TEXT_LABORER_ARRIVES = 'You have arrived on site.';
export const LABORER_ARRIVES = 'You have arrived.';
export const NEW_JOB_NOTIFICATION = 'New Service';
export const NS_TEXT_NEW_JOB_NOTIFICATION = 'A new service opportunity is available for a short time.';
export const Towing = 'Towing';
export const LaborerEnRoute = 'Service provider is coming'
export const LaborerHasArrived = 'Service provider has arrived';
export const LaborerHasCome = (name) => {
    if (name) {
        return name + ' has arrived';
    }
    return LaborerHasArrived;
}
export const LaborerShowArrive = name => {
    if (name) {
        return `${name} should arrive`;
    }
    return _LaborerShouldArrive
}
const _LaborerShouldArrive = 'Service Partner should arrive';
export const LaborerIsComing = (name) => {
    if (name) {
        return name + ' is coming';
    }
    else LaborerEnRoute;
}
export const FinalCost = 'Final cost';
export const StartPeriod = 'Start Period';
export const NewProviderSideMenu = 'New Service Provider';
export const CancelTask = 'Cancel Task';
export const WhenFinished = 'When finished';
export const PressDone = 'Press done below.'
export const NoCheckListExplanation = 'No check list for this type of service.';
export const LaborerCurrentWorking = 'In progress';
export const LaborerAssigned = 'Service Provider Assigned';
export const CalculatingReceipt = 'Calculating Receipt';
export const NoCheckList = 'No check list';
export const OnRoute = 'On Route';
export const EndPeriod = 'End Period';
export const BusinessName = 'Business Name';
export const Vehicles = 'Vehicles';
export const DefaultCurrency = 'Default Currency';
export const AddVerificationDocument = 'Add Verification Document';
export const Error = 'Error';
export const ThereIsAnIssueWorkingOutYourLocation = 'There is an issue working out your location, we are looking into it.'
export const YourApplicationFailed = 'Your application has failed';
export const CouldntFindDirections = "Couldn't find directions. Try a different location."
export const Gender = 'Gender';
export const Menu = 'Menu';
export const DateOfBirth = "Date of Birth"
export const BeALaborer = 'Work with Hero';
export const VerifyIdentification = 'Verify Identity';
export const STRIPE_ACCOUNT_LEGAL_ENTITY_OPTIONS_PART2 = 'Legal Entity';
export const STRIPE_ACCOUNT_LEGAL_ENTITY_OPTIONS_PART3 = 'Legal Entity';
export const LaborerIdentityVerification = 'Confirm Service Partner';
export const BeAProvider = 'Service Provider';
export const BeACustomer = 'Customer';
export const StartAddressOnly = 'Starting Address Only';
export const StartDestinationAddress = 'Start and Destination Addresses';
export const TOWING = Towing;
export const SignOut = "Sign out";
export const AddItemRegionPrice = 'Add Region Price';
export const EditItemRegionPrice = 'Edit Region Price';
export const NewProvider = 'New Service Provider';
export const NewMessage = 'New Message';
export const Dispute = 'Dispute';
export const ServiceTaskImages = 'Service Task Images';
export const DisputeMessages = 'DisputeMessages';
export const Receipt = 'Receipt';
export const Minutes = 'Minutes';
export const ContinueDispute = 'Continue Dispute';
export const HeroCustomer = 'Customer';
export const HeroCustomers = 'Customers';
export const ChangeRole = 'Change Role';
export const ModeChoice = 'Back';
export const Search = 'Search';
export const History = 'History';
export const Patience = 'Wait For Approval';
export const NoCarSet = 'No car set';
export const IdentityVerifications = 'Identity Verifications';
export const Heroes = 'Heroes';
export const No = 'No';
export const Yes = 'Yes';
export const IsWorking = 'is working';
export const StartDate = 'Valid Start Date';
export const BillSent = 'Bill sent';
export const BillSentToCustomer = 'Bill sent to customer';
export const ProviderRejected = 'Service Provider rejection';
export const JobRejection = 'Service Unavailable';
export const JobRejectionExplanation = 'The service request has been assigned to someone else. Please stay online and the next available service request will come to you.';
export const ProviderRejectionNote = 'The provider has rejected your attempt to join. If this is an error, contact the provider and try again.'
export const PaymentComplete = 'Your payment is complete';
export const PaymentConfirmed = 'Payment confirmed';
export const OfferLastUntil = 'Offer last until';
export const ItWas = 'It was';
export const WaitForProviderApproval = 'Wait for provider approval, please.';
export const PleaseEvaluateWork = (name) => {
    if (!name) {
        return `Please evaluate the work`;
    }
    return `Please evaluate ${name}'s work`;
}

export const Confirm = "Confirm";
export const PastServiceTransactions = 'Past Transactions';
export const EndDate = 'Valid Until';
export const YourTotalIs = 'Your total is';
export const Option = 'Option';
export const UseBasePrice = 'Use Base Price';
export const Kilometers = 'km';
export const Free = 'Free';
export const Quantity = 'Quantity';
export const QuantityPer = 'Quantity counted per item';
export const ServiceTask = 'Service Task';
export const UseQuantity = 'Use Quantity';
export const Additive = 'Additive';
export const Deleted = 'Deleted';
export const PercentageBased = 'Percentage Based';
export const StartTrip = 'Start Trip';
export const Value = 'Discount Value';
export const SelectServiceTaskOption = 'Select Service Task Option';
export const Name = 'Name';
export const TaxPercent = 'Tax %';
export const CreatePackagePlanItem = 'Create Package Plan Item';
export const UpdatePackagePlanItem = 'Update Package Plan Item';
export const Created = 'Created';
export const Id = 'Id';
export const Price = 'Price';
export const UseDistanceBasedPrice = 'Use Distance Based Price';
export const UseStartDate = 'Use Start Date';
export const DontUseStartDate = 'Dont Use Start Date';
export const UseEndDate = 'Use End Date';
export const SendNotification = 'Send Notification to';
export const DontUseEndDate = `Don't Use End Date`;
export const BasePrice = 'Base Price';
export const PriceInCents = 'Price in cents';
export const On = 'On';
export const Off = 'Off';
export const PricePerMile = 'Price Per Mile';
export const EnterValidPhoneNumber = 'Enter valid phone number';
export const EnterValidEmail = 'Enter valid email';
export const ShortDescription = 'Short Description';
export const TooLong = 'Too long';
export const RegionRadius = 'Region Radius';
export const SubscriptionDiscount = 'Subscription Discount';
export const ZipCodeInvalid = 'Zip code invalid';
export const Environment = 'Environment';
export const ServiceTaskType = 'Service task type';
export const IncorrectLength = 'Incorrect length';
export const EditServiceTaskDefinitionOption = 'Edit';
export const MustBeInThePast = 'The date must be in the past';
export const MustBeAtLeast18 = 'Must be at least 18 years';
export const EditServiceTask = 'Edit';
export const Description = 'Description';
export const InvalidCard = 'Invalid Card';
export const DefaultCost = 'Default Cost';
export const CostPerMile = 'Cost per mile';
export const InvalidMonth = 'Invalid month';
export const InvalidYear = 'InvalidYear';
export const AddressLine1 = 'Address Line 1';
export const Minut = 'min';
export const Hours = 'hr(s)';
export const Months = 'months';
export const Days = 'day(s)';
export const Seconds = 's';
export const AddRegionPrice = 'Add Region Price';
export const EditRegionPrice = 'Edit Region Price'
export const AddressLine2 = 'Address Line 2';
export const AddressPostalCode = 'Postal Code';
export const PersonalAddressCity = 'Personal Address City';
export const PersonalAddressLine1 = 'Personal Address Line 1';
export const PersonalAddressLine2 = 'Personal Address Line 2';
export const PersonalAddressPostalCode = 'Personal Address Postal Code';
export const PersonalAddressState = 'Personal Address State';
export const PersonalAddressTwoLetterCountry = 'Personal Address Two Letter Country';
export const AddressState = 'State';
export const BusinessVatId = 'Vat Id'
export const BusinessTaxId = 'Tax Id';
export const City = 'City';
export const State = 'State';
export const CityOrTown = 'City/Town';
export const HeroEmployee = 'Hero Employee';
export const SocialAccount = 'Social Account';
export const ChangeCharges = 'Change Charges';
export const Roles = 'Roles';
export const Country = 'Country';
export const AddressTwoLetterCountry = 'Two Letter Country Code';
export const AccountHolderName = 'Account Holder Name';
export const AccountHolderType = 'Account Holder Type';
export const Currency = 'Currency';
export const Role = 'Role';
export const AccountNumber = 'Account Number';
export const BankName = 'Bank Name';
export const RoutingNumber = 'Routing Number';
export const BusinessUrl = 'Business Url';
export const Vehicle = 'Vehicle';
export const Zip = 'ZIP';
export const SocialId = 'Social Security Number';
export const ProductDescription = 'Product Description';
export const StatementDescriptor = 'Statement Descriptor (max 22 characters)';
export const SupportEmail = 'Support Email';
export const SupportPhone = 'Support Phone';
export const SupportUrl = 'Support Url';
export const Email = 'Email';
export const PendingEmailAddress = 'Press to enter verification code';
export const PendingPhoneNumber = 'Press to enter verification code';
export const CardNumber = 'Card Number';
export const Address = 'Address';
export const ToggleVideo = 'Toggle Video';
export const TOSAcceptanceDate = 'TOS Agreement Date';
export const Cvc = 'Cvc';
export const ExpirationYear = 'Expiration Year';
export const Last4Digits = 'Last 4 Digits';
export const Expiration = 'Exp';
export const ExpirationMonth = 'Expiration Month';
export const StateProvince = 'State/Province';
export const EndTrip = 'End Trip';
export const EnterStartAddress = "Enter start address";
export const ConfirmJob = 'Confirm';
export const EnterDestinationAddress = "Enter destination address";
export const SearchScreen = 'Search';
export const NoOffer = 'No offer';
export const TellUsWhereYouAreGoing = 'Tell us where you are going, please.';
export const TakeAPicture = 'Take Picture';
export const SelectImage = 'Select Image';
export const Sorry = 'Sorry';
export const ImageToBig = 'Image is too big, please use a smaller version. (8 meg max)';
export const NoLaborerFound = 'All Service Providers are assisting other customers, please check back shortly.';
export const CustomerCancelled = 'Customer cancelled the Service request';
export const Ok = 'Ok';
export const Validation = 'Oops';
export const ValidationMessage = 'Please fix validation errors.';
export const LateCancellation = 'Late cancellation';
export const Directions = 'Directions';
export const EnterInformation = 'Enter Phone/Email'
export const UnableToCancelExplanation = 'Unable to cancel explanation';
export const UnableToCancel = 'Unable to cancel';
export const SomethingWentWrong = 'Something went wrong';
export const Online = 'Online';
export const Offline = 'Offline';
export const Arrived = 'Arrived';
export const ThankYou = 'Thank you';
export const Received = 'Received';
export const AddressOfDestination = 'Address of destination';
export const Total = 'Total';
export const ServiceProvider = 'Service Provider';
export const YouAreBlankFarFrom = (distInMeters) => {
    return `You are ${distInMeters} meters from the next navigation step.`;
}
export const From = 'From';
export const Select = 'Select';
export const DistanceToNext = 'Dist. to next : ';
export const InTheNext = 'In the next';
export const Next = 'Next';
export const Done = 'Done';
export const Add = 'Add';
export const None = 'None';
export const BillConfirmed = 'Bill confirmed';
export const Laborer = 'Service Partner';
export const Bill = 'Bill';
export const Waiting = 'Waiting';
export const TryAgain = 'Try Again';
export const Previous = 'Previous';
export const SendMessage = 'Send';
export const CreateServiceTaskCategory = 'Create Service Task Category';
export const Cancel = 'Cancel';
export const LookingForLaborer = 'Looking for laborer';
export const GoOffline = 'Go Offline';
export const Disabled = 'Disabled';
export const Enabled = 'Enabled';
export const StayOnline = 'Stay Online';
export const Back = 'Back';
export const EmptyList = '-- Empty --';
export const Photos = 'Photos';
export const StatisSum = 'Static Sum';
export const TakePicture = 'Select';
export const RequiredLocations = 'Required Locations';
export const CustomerEvents = 'Customer Events';
export const GettingDirections = 'Getting Directions';
export const MinutesAway = 'minutes away';
export const Home = 'Home';
export const Notifications = 'Notifications';
export const Notification = 'Notification';
export const Properties = 'Properties';
export const JobOffer = 'Job Offer';
export const PlaceOrder = 'Place Order';
export const Edit = 'Edit';
export const Delete = 'Delete';
export const MyLocation = 'My Location';
export const AccountVerification = 'Account Verification';
export const CellNumber = 'Cell #';
export const VerificationCode = 'Verification Code';
export const EnterVerificationCode = 'Enter verification code';
export const HeroStats = 'Statistics';
export const TwilioNumbers = 'Twilio Numbers';
export const Requests = 'Requests';
export const UnprintedReports = 'Unprint Reports';
export const HeroCarCare = 'Hero Car Care';
export const Settings = 'Settings';
export const Stats = 'Stats';
export const PrintedReports = 'Printed Reports';
export const Test = 'Test';
export const NoneSelected = 'None selected';
export const ChargeCustomerSomeOtherAmount = 'Change Charges';
export const ChargeCustomer = 'Charge Customer';
export const Customers = 'Customers';
export const Users = 'Users';
export const ServiceTasks = 'Service Tasks';
export const RequestReport = 'Request Report';
export const Maximum = 'Maximum';
export const CustomersStatistics = 'Customer Statistics';
export const Refund = 'Refund';
export const CloseDispute = 'CloseDispute';
export const IconSource = 'Icon Source';
export const Transactions = 'Transactions';
export const AreYouSure = 'Are You Sure?';
export const RateCustomer = 'Rate customer';
export const Cancelling = 'Cancelling';
export const Comments = 'Comments';
export const CurrentLocation = 'Current location';
export const SSNLast4 = 'SSN Last 4 digits';
export const Complete = 'Complete';
export const Completed = 'Completed';
export const StartingLocation = 'Starting Location';
export const JobAddress = 'Job Address';
export const Decline = 'Decline';
export const Accept = 'Accept';
export const Reject = 'Reject';
export const Change = 'Change';
export const ServiceTaskOptions = 'Service Options';
export const Working = 'Working';
export const Calculating = 'Calculating';
export const Unknown = 'Unknown';
export const Reference = 'Reference';
export const Save = 'Save';
export const Miles = 'miles';
export const DistanceCharge = 'Distance';
export const MilesShort = 'mi';
export const SendEmail = 'Send Email';
export const WebRtc = 'Web RTC';
export const Create = 'Create';
export const Update = 'Update';